PayPaga
  1. Pay In - Chile
PayPaga
  • Introduction
    • Introduction
    • API Reference
    • Environments
    • Payment methods
    • Errors
    • Standard Codes and Values
  • Authorization
    • Authorization
    • OAuth 2.0 Token Generation
  • Pay In - Direct API Integration
    • Pay In - Direct API Integration
    • Pay In - Payment Options
    • Pay In - Payment Processing
    • Pay In - Query Transactions
  • Pay In - PayURL Integration
    • Pay In - PayURL Integration
    • Pay In - Create PayURL
  • Pay In - Examples
    • Pay In - Argentina
      • Pay In - Instant Transfers
    • Pay In - Brazil
      • Pay In - PIX
    • Pay In - Chile
      • Pay In - Bank Transfer
        POST
    • Pay In - Colombia
      • Pay In - Dale
      • Pay In - Daviplata
      • Pay In - Efecty
      • Pay In - Gana
      • Pay In - Movii
      • Pay In - Nequi
      • Pay In - PSE
      • Pay In - RappiPay
      • Pay In - ReFacil
      • Pay In - Susuerte
      • Pay In - Western Union
    • Pay In - Ecuador
      • Pay In - Bemóvil
      • Pay In - Deuna
      • Pay In - Mi Negocio Efectivo
      • Pay In - Omniswitch
      • Pay In - Banco Pichincha
      • Pay In - Rapi Activo
      • Pay In - Western Union
    • Pay In - El Salvador
      • Pay In - Banco Agrícola
      • Pay In - Banco Cuscatlán
      • Pay In - Puntoxpress
    • Pay In - Guatemala
      • Pay In - BAM Efectivo
      • Pay In - BAM Transferencia
      • Pay In - Banco Industrial
      • Pay In - Akisi Pronet
    • Pay In - Mexico
      • Pay In - Pay With Cash
      • Pay In - SPEI
    • Pay In - Peru
      • Pay In - BBVA
      • Pay In - BCP
      • Pay In - BCP Efectivo
      • Pay In - Cell Power
      • Pay In - KasNet
      • Pay In - QR Interoperable
      • Pay In - Plin
      • Pay In - Yape
  • Pay Out - Direct API Integration
    • Pay Out - Direct API Integration
    • Pay Out - Query Transactions
    • Pay Out - Payment Processing
  • Pay Out - Examples
    • Pay Out - Argentina
    • Pay Out - Brazil
    • Pay Out - Chile
    • Pay Out - Colombia
    • Pay Out - Ecuador
    • Pay Out - Guatemala
    • Pay Out - Mexico
    • Pay Out - Peru
  • Transactions Status Notification
    • Transactions Status Notification
    • Pay In - Instant Transfers
  • Query Balance
    • Query Balance
  • Appendix
    • Transaction Status Definitions and Lifecycle
    • Assets
  1. Pay In - Chile

Pay In - Bank Transfer

Developing
Develop Env
https://api.v2.stg.paypaga.com
Develop Env
https://api.v2.stg.paypaga.com
POST
https://api.v2.stg.paypaga.com
/payment

Required Fields

FieldDescriptionValidation
document_numberRUT (Rol Único Tributario)Length >=8 <= 12, RegEx ^(\d{1,2}[.,\s]*\d{3}[.,\s]*\d{3}[.,\s]*-[0-9kK]|\d{7,8}-?[0-9kK])$, Must be valid RUT
emailEmail addressLength >= 5 <= 50, RegEx ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
bank_codeBank identifier codeSee Bank Identifier Codes below

Bank Identifier Code

NameCodeChannel
Banco de Chilebanco_chileBank Transfer
Banco Estadobanco_estadoBank Transfer
BCIbciBank Transfer
Banco FalabellafalabellaBank Transfer
Banco ItaúitauBank Transfer
Banco SantandersantanderBank Transfer
Banco SecuritysecurityBank Transfer
ScotiabankscotiabankBank Transfer
MachmachWallet
TapptappWallet
Test Bank (Sandbox Only)test_bank

User Experience

Logos for primary banks can be displayed to enhance the user experience as per the PayPaga demonstration site.
Logos can be sourced from the Assets in the documentation Appendix

Expiry

Initiated transactions that are not completed, transition to an Expired state after 72 hours.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.v2.stg.paypaga.com/payment' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "20251030-1529-4510-bc3c-6321213ee17f",
    "payment_method_code": "bank_transfer",
    "country_code": "CL",
    "currency": "CLP",
    "transaction_total": 123.00,
    "merchant_transaction_reference": "d0d72900-4734-47c4-8fc7-c2ffea70244f",
    "transaction_fields": [
        {
            "name": "document_number",
            "value": "3880986-5"
        },
        {
            "name": "email",
            "value": "mail@mail.com"
        },
        {
            "name": "bank_code",
            "value": "banco_chile"
        }
    ]
}'
Response Response Example
200 - Success
{
  "transaction_id": "20251030-1529-4510-bc3c-6321213ee17f",
  "transaction_payment_mode": "ASYNCHRONOUS",
  "payment_method_reference": "20251030-1529-4510-bc3c-6321213ee17f",
  "message": "Transaction Successfully",
  "version": "0.1",
  "next_steps_detail_instructions": [
    {
      "type": "external_link",
      "key": "reference_url",
      "label": "Presione aquí para completar su pago",
      "description": "https://paypaga.com/session/3YGRrYc3PFEtUyPm2PFSjMjDXalnX0VcJJkO8ifR63YDinB8tGvgPkEQaVaHPkG1"
    }
  ]
}
Previous
Pay In - PIX
Next
Pay In - Dale
Built with